Subject: bug#23569: thing-at-point, source of slowness

From: Andreas Röhler <[email-masked]>
Date: Thu, 8 Jul 2021 07:41:54 +0200

On 08.07.21 02:49, Lars Ingebrigtsen wrote:
> Andreas Röhler <[email-masked]> writes:
>
>> in thingatpt.el:
>>
>> ;; The function bounds-of-thing-at-point finds the beginning and end
>> ;; positions by moving first forward to the end of the "thing", and then
>> ;; backwards to the beginning.
>>
>> ;;;;;;;
>>
>> Also bounds-of-thing-at-point jumps to-and-fro, doing some sanity check every
>> time.
>>
>> Suggest to jump first at the beginning, as backward move might be slow.
>>
>> Avoid to-and-fro, deliver tests instead, so first try will be reliable or
>> return nil.
> (I'm going through old bug reports that unfortunately got little response at
> the time.)
>
> I'm not sure I understand the issue, even with the response you gave to
> Eli at the time.
>
> Do you have a test case that demonstrates this slowness, and an example
> of how you'd change the code?
>
Thanks for your care. Don't think it's worth digging into that after 
that long time. Suggest to close.